﻿using System.ComponentModel.DataAnnotations.Schema;

namespace SalesDomain
{
  public class Address
  {
    //note that in September 2013 column,
    //this class will undergo an important change!
    public int Id { get; set; }
    public string Street1 { get; set; }
    public string Street2 { get; set; }
    public string City { get; set; }
    public string Region { get; set; }
    public string Country { get; set; }
    public string PostalCode { get; set; }
    //these are here to accommodate Entity Framework
    //and a DDD anti-pattern. Sept 2013 column
    //will address this and will be accompanied
    //by an updated sample
    public Customer ShipCustomer { get; private set; }
    public Customer BillCustomer { get; private set; }
  }
}
